MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025343Open CASCADE[OCCT] OCCT:Documentationpublic2014-10-08 18:472015-08-25 14:04
Reportersan 
Assigned Tobugmaster 
PrioritynormalSeveritymajor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0025343: Visualization - Update user's guide and DRAW commands description
DescriptionIt is necessary to review the Visualization User's guide taking into account the recent development results included into OCCT 6.7.0/6.8.0:

  1. Replacement of former view mapping/view orientation by Graphic3d_Camera API (#24001)

  2. Stereographic rendering support(#24001)

  3. Grouping objects using Z layers (#22795, 0024785)

  4. Revision of parameters of standard materials (0024855 and related issues)

  5. Ray tracing support and ray tracing options

  6. Shader program support (0024192, 0024250)

  7. Visualization of markers as point sprites (0024131)

  8. New standard interactive object classes: AIS_ColoredShape (#24762) and AIS_PointCloud (#25129)

  9. Redesign of connected interactive objects and local transformations (0024837)

  10. Object-level clipping and capping (#24070) and automatic back-face culling (0024521 and related issues)

  11. View frustum culling (0024307)

  12. Description of 3D viewer initialization procedure (including #24267)

  13. Advanced: Brief overview of the renderer design (TKOpenGl)

  14. Advanced: Explicit linking against TKOpenGl library and possibility to implement custom OpenGl_Element objects (0023814)



It is also necessary to update the DRAW User's guide in part concerning visualization commands.

Other topics can be added if needed, however the above-listed ones are most critical.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
parent of 0025443closedbugmaster Open CASCADE Documentation - update packages names in Building 3rd-party libraries on Linux 
related to 0026533closedbugmaster Community Draw command vdisplay requires vclear to update the presentation since OCC 6.9.0 

-  Notes
(0033572)
git (administrator)
2014-10-22 16:37

Branch CR25343 has been created by isz.

SHA-1: 2f90177702cdd34142dc219b5cea218e8e17c028


Detailed log of new commits:

Author: isz
Date: Wed Oct 22 16:37:37 2014 +0400

    0025343: Visualization - Update user's guide and DRAW commands description
    
    First 12 of 14 steps are made in Visualization User's guide.
(0033660)
git (administrator)
2014-10-23 18:59

Branch CR25343 has been updated by isz.

SHA-1: f3d812917bbbd0ee4b8af4b697b7af2740753835


Detailed log of new commits:

Author: isz
Date: Thu Oct 23 18:59:12 2014 +0400

    Draw_test_harness guide updated.

(0033687)
isz (developer)
2014-10-24 15:20

Dear Sergei,
Please review branch CR25343.
Thank you in advance!
(0033691)
git (administrator)
2014-10-24 16:10

Branch CR25343 has been updated by isz.

SHA-1: 39597c97f1e40aa147a767f8296621a2c1e73a2b


Detailed log of new commits:

Author: isz
Date: Fri Oct 24 16:10:05 2014 +0400

    Corrected spelling.

(0033746)
git (administrator)
2014-10-27 19:14

Branch CR25343 has been updated by isz.

SHA-1: be2ea8f69695b5f4f2b4fe6afacbb765ebc6147e


Detailed log of new commits:

Author: isz
Date: Mon Oct 27 19:14:29 2014 +0300

    Redesign of Visualisation user guide's structure with some changes in the guide.

(0033747)
git (administrator)
2014-10-27 19:32

Branch CR25343 has been updated by isz.

SHA-1: 72a2d41f3216f58ab836393aef2de461b0a7bcd4


Detailed log of new commits:

Author: isz
Date: Mon Oct 27 19:32:54 2014 +0300

    Some extra spaces deleted.

(0033765)
kgv (developer)
2014-10-28 12:42

Dear Yury,

please make proofreading the text within changed documents in branch CR25343.
(0033842)
git (administrator)
2014-10-29 16:56

Branch CR25343 has been updated by ysn.

SHA-1: 2799dc6dd14026bce61b6fdb4f4404eb8fcee19a


Detailed log of new commits:

Author: ysn
Date: Wed Oct 29 17:54:23 2014 +0400

    Review of the updated visualization guide;
    Merging of useful content removed from the Technical Overview.
    Additionally, fixes for bugs 24117 and 25353.
    Update of prerequisites and building 3rd party tools sections.

Author: ysn
Date: Wed Oct 29 17:43:40 2014 +0400

    Review of the updated visualization guide;
    Merging of useful content removed from the Technical Overview.
    Additionally, fixes for bugs 24117 and 25353.
    Update of prerequisites and building 3rd party tools sections.

Author: ysn
Date: Wed Oct 29 17:07:34 2014 +0400

    Review of the updated visualization guide;
    Merging of useful content removed from the Technical Overview.
    Additionally, fixes for bugs 24117 and 25353.
    Update of prerequisites and building 3rd party tools sections.

(0033844)
ysn (developer)
2014-10-29 17:06

Dear KGV, I also added in this branch the fixes of minor documentation bugs, update of version prerequisite versions, overview and some other staff.

The important thing is that I actually had another version of visualization.md updated with some content removed from the Technical Overview, so I merged my file with this update.

Could you please review the final result to check if all content from the TO fits logically.
(0033893)
git (administrator)
2014-10-30 16:10

Branch CR25343 has been updated by aba.

SHA-1: 0cd5686eac9fd0e7006c4f902aa9956fee3dcd01


Detailed log of new commits:

Author: aba
Date: Thu Oct 30 16:10:18 2014 +0300

    Added dimension commands to DRAW test harness

(0033904)
git (administrator)
2014-10-30 18:36

Branch CR25343_1 has been created by aba.

SHA-1: b33797ecf2a45366b2d52e930eaa86f43f9756d9


Detailed log of new commits:

Author: aba
Date: Thu Oct 30 18:34:58 2014 +0300

    Moved VIS draw tests to Draw Test Harness section

Author: aba
Date: Thu Oct 30 16:10:18 2014 +0300

    Added dimension commands to DRAW test harness

Author: ysn
Date: Wed Oct 29 17:54:23 2014 +0400

    Review of the updated visualization guide;
    Merging of useful content removed from the Technical Overview.
    Additionally, fixes for bugs 24117 and 25353.
    Update of prerequisites and building 3rd party tools sections.

Author: ysn
Date: Wed Oct 29 17:43:40 2014 +0400

    Review of the updated visualization guide;
    Merging of useful content removed from the Technical Overview.
    Additionally, fixes for bugs 24117 and 25353.
    Update of prerequisites and building 3rd party tools sections.

Author: ysn
Date: Wed Oct 29 17:07:34 2014 +0400

    Review of the updated visualization guide;
    Merging of useful content removed from the Technical Overview.
    Additionally, fixes for bugs 24117 and 25353.
    Update of prerequisites and building 3rd party tools sections.

Author: isz
Date: Mon Oct 27 19:32:54 2014 +0300

    Some extra spaces deleted.

Author: isz
Date: Mon Oct 27 19:14:29 2014 +0300

    Redesign of Visualisation user guide's structure with some changes in the guide.

Author: isz
Date: Fri Oct 24 16:10:05 2014 +0400

    Corrected spelling.

Author: isz
Date: Thu Oct 23 18:59:12 2014 +0400

    Draw_test_harness guide updated.

Author: isz
Date: Wed Oct 22 16:37:37 2014 +0400

    0025343: Visualization - Update user's guide and DRAW commands description
    
    First 12 of 14 steps are made in Visualization User's guide.
(0033907)
aba (developer)
2014-10-30 18:52

Original git branch CR25343 was rebased on current master and pushed in CR25343_1.
The VIS DRAW commands were moved to Draw Test Harness section.
(0033912)
git (administrator)
2014-10-30 20:07

Branch CR25343_1 has been updated by aba.

SHA-1: da9d59511c886e8cf53532c3dccc5d30cc490123


Detailed log of new commits:

Author: aba
Date: Thu Oct 30 20:08:03 2014 +0300

    Remarks

(0033974)
git (administrator)
2014-10-31 17:07

Branch CR25343_1 has been updated by kgv.

SHA-1: 0dd8537738880a220f5f479a1074599e020d43dc


Detailed log of new commits:

Author: kgv
Date: Fri Oct 31 17:07:15 2014 +0300

    correct test harness user guide

Author: kgv
Date: Fri Oct 31 16:08:50 2014 +0300

    correct eol's

(0033977)
git (administrator)
2014-10-31 17:36

Branch CR25343_1 has been updated by ysn.

SHA-1: 7d8c88faec21086c87c40977e20915309c356d5e


Detailed log of new commits:

Author: ysn
Date: Fri Oct 31 18:33:23 2014 +0400

    Corrected output of new imaged in PDF in modeling algos guide and errors introduced by bug 24699 in the overview.

(0033980)
git (administrator)
2014-10-31 18:12

Branch CR25343_1 has been updated by kgv.

SHA-1: c5cae6bdc68822ebe9ac141d3de34a17a0b1bf62


Detailed log of new commits:

Author: kgv
Date: Fri Oct 31 18:11:16 2014 +0300

    correct visualization.md

Author: kgv
Date: Fri Oct 31 17:14:29 2014 +0300

    revert changes in visualization.md

(0033981)
git (administrator)
2014-10-31 18:38

Branch CR25343_2 has been created by kgv.

SHA-1: c48b04936d830d4c3a049c015cb9928526d49f4e


Detailed log of new commits:

Author: isz
Date: Fri Oct 31 18:37:45 2014 +0300

    0025343: Visualization - Update user's guide and DRAW commands description
    
    Redesign of Visualisation user guide's structure with some changes in the guide.
    Update Draw_test_harness user guide. Added dimension commands to DRAW test harness.
    Update of prerequisites and building 3rd party tools sections
    Move VIS draw tests to Draw Test Harness section.
    
    Additionally, fix bugs 24117 and 25353.
    Correct output of new imaged in PDF in modeling algos guide and errors introduced by bug 24699 in the overview.
(0033982)
kgv (developer)
2014-10-31 18:39

Please check extraction and integrate patch in branch CR25343_2.
(0033993)
san (developer)
2014-10-31 20:27

Just an idea... what if we copy screenshots with Tcl/Tk colors from http://wiki.tcl.tk/37701 [^] into the DRAW user's guide, e.g. to facilitate usage of vsetcolor command?
(0033996)
git (administrator)
2014-11-01 10:51

Branch CR25343_2 has been updated by kgv.

SHA-1: 094eb1967eeff725094ed3d25d60bb85b4419c9f


Detailed log of new commits:

Author: kgv
Date: Sat Nov 1 10:50:43 2014 +0300

    0025443: Documentation - update packages names in Building 3rd-party libraries on Linux

(0034027)
git (administrator)
2014-11-05 12:19

Branch CR25343_2 has been updated by inv.

SHA-1: ce5a9045e6570d4ed1def82ed16b7dafa77ec11f


Detailed log of new commits:

Author: ysn
Date: Wed Nov 5 12:19:18 2014 +0300

    Update README files for samples

(0034308)
git (administrator)
2014-11-12 09:53

Branch CR25343 has been deleted by inv.

SHA-1: 0cd5686eac9fd0e7006c4f902aa9956fee3dcd01
(0034309)
git (administrator)
2014-11-12 09:53

Branch CR25343_1 has been deleted by inv.

SHA-1: c5cae6bdc68822ebe9ac141d3de34a17a0b1bf62
(0034310)
git (administrator)
2014-11-12 09:53

Branch CR25343_2 has been deleted by inv.

SHA-1: ce5a9045e6570d4ed1def82ed16b7dafa77ec11f
(0040592)
abv (manager)
2015-05-06 05:16

Visualization guide is corrupted in this patch: a lot of non-printable symbols in the text, looks like conversion from Word or other textual editor that uses special symbols for quotes, ellipsis etc.

- Related Changesets
occt: master 18006a0f
Timestamp: 2014-10-31 15:37:45
Author: isz
Committer: bugmaster
Details ] Diff ]
0025343: Visualization - Update user's guide and DRAW commands description

Redesign of Visualisation user guide's structure with some changes in the guide.
Update Draw_test_harness user guide. Added dimension commands to DRAW test harness.
Update of prerequisites and building 3rd party tools sections
Move VIS draw tests to Draw Test Harness section.

Additionally, fix bugs 24117 and 25353.
Correct output of new imaged in PDF in modeling algos guide and errors introduced by bug 24699 in the overview.
mod - dox/dev_guides/building/3rdparty/3rdparty_linux.md Diff ] File ]
mod - dox/dev_guides/building/3rdparty/3rdparty_osx.md Diff ] File ]
mod - dox/dev_guides/building/3rdparty/3rdparty_windows.md Diff ] File ]
mod - dox/dev_guides/building/automake.md Diff ] File ]
mod - dox/FILES_HTML.txt Diff ] File ]
mod - dox/FILES_PDF.txt Diff ] File ]
mod - dox/overview/images/overview_3rdparty.png Diff ] File ]
mod - dox/overview/images/overview_installation.png Diff ] File ]
mod - dox/overview/overview.md Diff ] File ]
mod - dox/user_guides/modeling_algos/modeling_algos.md Diff ] File ]
mod - dox/user_guides/vis/vis.md Diff ] File ]
add - dox/user_guides/visualization/images/camera_perspective.png Diff ] File ]
add - dox/user_guides/visualization/images/point_cloud.png Diff ] File ]
add - dox/user_guides/visualization/images/stereo.png Diff ] File ]
add - dox/user_guides/visualization/images/viewfrustumculling.png Diff ] File ]
add - dox/user_guides/visualization/images/view_frustum.png Diff ] File ]
mod - dox/user_guides/visualization/visualization.md Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-10-08 18:47 san New Issue
2014-10-08 18:47 san Assigned To => kgv
2014-10-08 19:14 san Description Updated View Revisions
2014-10-09 11:35 san Assigned To kgv => apl
2014-10-09 11:35 san Status new => assigned
2014-10-09 17:48 apl Assigned To apl => isz
2014-10-20 20:22 san Description Updated View Revisions
2014-10-22 16:37 git Note Added: 0033572
2014-10-23 18:59 git Note Added: 0033660
2014-10-24 15:20 isz Note Added: 0033687
2014-10-24 15:20 isz Assigned To isz => san
2014-10-24 15:20 isz Status assigned => resolved
2014-10-24 16:10 git Note Added: 0033691
2014-10-27 19:14 git Note Added: 0033746
2014-10-27 19:32 git Note Added: 0033747
2014-10-28 12:42 kgv Note Added: 0033765
2014-10-28 12:42 kgv Assigned To san => ysn
2014-10-28 12:42 kgv Status resolved => reviewed
2014-10-28 12:42 kgv Status reviewed => feedback
2014-10-29 16:56 git Note Added: 0033842
2014-10-29 17:06 ysn Assigned To ysn => kgv
2014-10-29 17:06 ysn Note Added: 0033844
2014-10-30 16:10 git Note Added: 0033893
2014-10-30 18:36 git Note Added: 0033904
2014-10-30 18:52 aba Note Added: 0033907
2014-10-30 20:07 git Note Added: 0033912
2014-10-31 17:07 git Note Added: 0033974
2014-10-31 17:36 git Note Added: 0033977
2014-10-31 18:12 git Note Added: 0033980
2014-10-31 18:38 git Note Added: 0033981
2014-10-31 18:39 kgv Note Added: 0033982
2014-10-31 18:39 kgv Assigned To kgv => bugmaster
2014-10-31 18:39 kgv Status feedback => reviewed
2014-10-31 20:27 san Note Added: 0033993
2014-11-01 10:51 git Note Added: 0033996
2014-11-01 10:51 kgv Relationship added parent of 0025443
2014-11-05 12:19 git Note Added: 0034027
2014-11-05 16:03 bugmaster Status reviewed => tested
2014-11-06 10:50 bugmaster Test case number => Not needed
2014-11-06 15:18 bugmaster Changeset attached => occt master 18006a0f
2014-11-06 15:18 bugmaster Status tested => verified
2014-11-06 15:18 bugmaster Resolution open => fixed
2014-11-11 12:42 aiv Fixed in Version => 6.8.0
2014-11-11 13:03 aiv Status verified => closed
2014-11-12 09:53 git Note Added: 0034308
2014-11-12 09:53 git Note Added: 0034309
2014-11-12 09:53 git Note Added: 0034310
2015-05-06 05:16 abv Note Added: 0040592
2015-08-25 14:04 kgv Relationship added related to 0026533


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker